Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.griffon.runtime.core
[Java] Class ShutdownHandlerAdapter

    java.lang.Object
      org.codehaus.griffon.runtime.core.ShutdownHandlerAdapter

All Implemented Interfaces:
  ShutdownHandler

    public class ShutdownHandlerAdapter
    extends Object

Basic implementation of the `ShutdownHandler` interface.

Authors:
  Andres Almiray

Since:
  0.9.2

Constructor Summary
`ShutdownHandlerAdapter()`

Method Summary
`boolean` | `canShutdown(GriffonApplication application)`
`void` | `onShutdown(GriffonApplication application)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### ShutdownHandlerAdapter

    ShutdownHandlerAdapter()

Method Detail

### canShutdown

    public boolean canShutdown(GriffonApplication application)

### onShutdown

    public void onShutdown(GriffonApplication application)

Groovy Documentation